org.apache.hadoop.yarn.server.timeline.security

## Class TimelineAuthenticationFilter

- java.lang.Object
- - org.apache.hadoop.security.authentication.server.AuthenticationFilter
  - - org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticationFilter
    - - org.apache.hadoop.yarn.server.timeline.security.TimelineAuthenticationFilter

- All Implemented Interfaces:
    javax.servlet.Filter

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class TimelineAuthenticationFilter
      extends org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticationFilter

  Timeline authentication filter provides delegation token support for ATSv1 and ATSv2.

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticationFilter

      `DELEGATION_TOKEN_SECRET_MANAGER_ATTR, PROXYUSER_PREFIX`

    - ### Fields inherited from class org.apache.hadoop.security.authentication.server.AuthenticationFilter

      `AUTH_TOKEN_MAX_INACTIVE_INTERVAL, AUTH_TOKEN_VALIDITY, AUTH_TYPE, CONFIG_PREFIX, COOKIE_DOMAIN, COOKIE_PATH, COOKIE_PERSISTENT, SIGNATURE_SECRET, SIGNATURE_SECRET_FILE, SIGNER_SECRET_PROVIDER, SIGNER_SECRET_PROVIDER_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimelineAuthenticationFilter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(javax.servlet.FilterConfig filterConfig)`
    `static void` | `setTimelineDelegationTokenSecretManager(org.apache.hadoop.security.token.delegation.AbstractDelegationTokenSecretManager<org.apache.hadoop.yarn.security.client.TimelineDelegationTokenIdentifier> secretMgr)`

    - ### Methods inherited from class org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticationFilter

      `doFilter, getConfiguration, getProxyuserConfiguration, initializeAuthHandler, setAuthHandlerClass, setHandlerAuthMethod`

    - ### Methods inherited from class org.apache.hadoop.security.authentication.server.AuthenticationFilter

      `constructSecretProvider, createAuthCookie, destroy, doFilter, getAuthenticationHandler, getConfiguration, getCookieDomain, getCookiePath, getMaxInactiveInterval, getRequestURL, getToken, getValidity, initializeSecretProvider, isCookiePersistent, isCustomSignerSecretProvider, isRandomSecret, verifyTokenType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimelineAuthenticationFilter

          public TimelineAuthenticationFilter()

  - ### Method Detail

    - #### init

          public void init(javax.servlet.FilterConfig filterConfig)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Filter`
      Overrides:
        `init` in class `org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticationFilter`
      Throws:
        `javax.servlet.ServletException`

    - #### setTimelineDelegationTokenSecretManager

          public static void setTimelineDelegationTokenSecretManager(org.apache.hadoop.security.token.delegation.AbstractDelegationTokenSecretManager<org.apache.hadoop.yarn.security.client.TimelineDelegationTokenIdentifier> secretMgr)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.